#include <cmath>

#include "../entity/GameWorld.h"
#include "Airborne.h"

void Airborne::step(double dt)
{
	double accelX = parent->getPhysics().wind / weight; 
	double accelY = parent->getPhysics().gravity * weight;
	
	x += vx * dt + 0.5 * accelX * dt * dt;
	y += vy * dt + 0.5 * accelY * dt * dt;;
	
	vx += accelX * dt;
	vy += accelY * dt;
	
	vx *= std::pow(1.0 - parent->getPhysics().airFriction, dt);
	vy *= std::pow(1.0 - parent->getPhysics().airFriction, dt);
}
